%define name lives
%define version 0.4.5
%define release 1mdk

Summary: 	Linux Video Editing System
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	LiVES-%version-src.tar.bz2
URL: 		http://www.xs4all.nl/~salsaman/lives
License: 	GPL
Group: 		Video
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: 	pkgconfig libgtk+2.0-devel gettext libgdk-pixbuf2-devel
BuildRequires:  libgtk+-x11-2.0_0-devel
Requires:	xmms mplayer mencoder sox ImageMagick

%description
The Linux Video Editing System (LiVES) is intended to be a simple yet powerful
video effects and editing system.  It uses common tools for most of its work
(mplayer, ImageMagick, GTK+, sox).

Note: Currently it can only handle small (20 MB) files in mjpeg format.

%prep
%setup -n LiVES-%version -q
%configure

%build
%make

%install
%makeinstall
cp smogrify $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
(cd $RPM_BUILD_ROOT
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Multimedia/Video"\
title="LiVES"\
longtitle="GTK2 Video Editing System"\
command="lives-exe"\
icon="video_section.png"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}

%files
%defattr(-,root,root,0755)
%doc BUGS COPYING *.html README
%_bindir/lives-exe
%_bindir/smogrify
%_menudir/%name

%changelog
* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.4.5-1mdk
- 0.4.5

* Mon Jan 27 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- bump version

* Wed Jan 15 2003 Austin Acton <aacton@yorku.ca> 0.3.6-1mdk
- 0.3.6

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package
